Jump to content


Setup perforce for Visual Studio 2008 on Microsoft Windows Servers 2003 Enterprise Edition Service Pack 2

Visual Studio Microsoft Windows Servers

  • Please log in to reply
5 replies to this topic

#1 skhor

skhor

    Newbie

  • Members
  • Pip
  • 3 posts

Posted 20 February 2013 - 06:50 AM

Hi,

I need help setting up perforce for Visual Studio 2008 on Microsoft Windows Servers 2003 Enterprise Edition Service Pack 2.

I have download perforce SCC Plug-in and installed successfully. However, I'm unsuccessfully install "Perforce Visual Studio Plug-in". It throw error as "Perforce Plugin for Visual Studio 2008 requires Windows Vista/Server 2008 or later". In this case, is there any optional way for me install plugin to Visual Studio 2008?

Please advice.

#2 rhummer

rhummer

    Advanced Member

  • Members
  • PipPipPip
  • 87 posts
  • LocationMadison, WI

Posted 20 February 2013 - 04:05 PM

Have you tried the new P4VS plugin?  The SCC plugin is deprecated iirc.
Lead Tools Engineer
Raven Software

#3 skhor

skhor

    Newbie

  • Members
  • Pip
  • 3 posts

Posted 21 February 2013 - 01:17 AM

I did install P4V: Visual Client. The installer getting from http://www.perforce....s/complete_list .

After the installation, I have tried to check in a Visual Studio C# solution to perforce but not success.
There is Connection Error "Error: operation not completed - P4V version too old: P4V/NTX86/2012.3/578478 v72"

I did setup for eclipse and Siebel. I'm able to check in all my codes but facing this issue only with Visual Studio on this server version. Please advice.

#4 P4Matt

P4Matt

    Advanced Member

  • Members
  • PipPipPip
  • 1383 posts

Posted 25 February 2013 - 11:07 PM

Try the plug-in on this page and let me know how it goes:

http://www.perforce....-studio-plug-in

Grab the installer for Visual Studio 2008 and you should be set.

#5 skhor

skhor

    Newbie

  • Members
  • Pip
  • 3 posts

Posted 28 February 2013 - 07:55 AM

Thanks. I have successfully installed the plug-in.
However, i'm still facing the same error messaage.

Steps:
1. In the Visual Studio -> File -> Open Connection to Perforce Depot
2. Fill in the Server, User.
3. When I clicked on Workspace's Browse button it throw error "Error: operation not completed - P4V version too old:P4VS 2013.1.59.2857"

Please help.
I have entered the same detail for eclipse setup. :(

#6 P4Matt

P4Matt

    Advanced Member

  • Members
  • PipPipPip
  • 1383 posts

Posted 01 March 2013 - 01:06 AM

What version of P4V do you have installed? I just installed the 12.3 release of P4V and the 13.1 version of P4VS and they seem to be playing well together. You can generally use any client version with any server version, so you should be able to upgrade safely.





Also tagged with one or more of these keywords: Visual Studio, Microsoft Windows Servers

0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users